#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCF,0x8F,0xF0,0xF9,0x53,0x34,0x41,0xF5,0x3D,0xCE,0x17,0x3E,
		0x5A,0xAB,0x99,0xDF,0x26,0xFB,0x21,0x44,0xF7,0x63,0x8F,0xF7,
		0x0B,0x98,0xFC,0x16,0x42,0xD9,0xF5,0x56,0x55,0x73,0x4B,0xBD,
		0x3D,0x75,0x2F,0x88,0x49,0x11,0x55,0xDB,0x30,0x51,0xE0,0xD2,
		0xF3,0xBE,0x71,0x19,0xBE,0xC9,0x26,0x5C,0x33,0x85,0x33,0x0F,
		0x59,0x27,0x56,0x5F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
